﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;

namespace Common
{
    public class ErrorDesc
    {
        /// <summary>
        /// 数据格式错误
        /// </summary>
        public static string DATA_FORMAT_ERROR = "数据格式错误";

        /// <summary>
        /// 设备不存在
        /// </summary>
        public static string DEVICE_NOT_EXIST = "设备不存在";

        /// <summary>
        /// 设备已离线
        /// </summary>
        public static string DEVICE_OFFLINE = "设备已离线";

        /// <summary>
        /// 设备不可用
        /// </summary>
        public static string DEVICE_UNUSABLE = "设备未插枪";

        /// <summary>
        /// 缺少参数
        /// </summary>
        public static string LACK_PARAMS = "缺少参数";

        /// <summary>
        /// 无此权限
        /// </summary>
        public static string NOAUTH = "无此权限";

        /// <summary>
        /// 订单不存在
        /// </summary>
        public static string ORDER_NOT_EXIST = "订单不存在";

        /// <summary>
        /// 参数错误
        /// </summary>
        public static string PARAM_ERROR = "参数错误";

        /// <summary>
        /// post数据为空
        /// </summary>
        public static string POST_DATA_EMPTY = "POST数据为空";

        /// <summary>
        /// 签名错误
        /// </summary>
        public static string SIGN_ERROR = "签名错误";

        /// <summary>
        /// 系统错误
        /// </summary>
        public static string SYSTEM_ERROR = "系统错误";
    }
}